Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

List Parallel Calculation Items

Request

Retrieves all PCI objects (Parallel Calculation Items) for the specified job. A lightweight version of the general fetch/PCI endpoint. Does not return possibly large outputs and messages fields.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
endRowinteger
oldValuesobject or null
operationTypestring
startRowinteger
textMatchStylestring
dataobjectrequired
data.​criteriaArray of objectsrequired
data.​criteria[].​fieldNamestringrequired
Example: "jstId"
data.​criteria[].​operatorstringrequired
data.​criteria[].​valueintegerrequired

The id of the job.

Example: 2153717967
data.​operatorstring
data.​_constructorstring
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/optimization.modelfetchpci \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 300,
    "oldValues": null,
    "operationType": "fetch",
    "startRow": 0,
    "textMatchStyle": "exact",
    "data": {
      "criteria": [
        {
          "fieldName": "jstId",
          "operator": "equals",
          "value": 2153717967
        }
      ],
      "operator": "and",
      "_constructor": "AdvancedCriteria"
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-5cf55f5475-fsn4h", "startRow": 0, "data": [], "endRow": 10, "totalRows": 10, "status": 0 } }

Get a Parallel Calculation Item

Request

Retrieves the Parallel Calculation Item (PCI) object specified by id as a path parameter.

Security
basic or X-PriceFx-jwt
Path
idstringrequired

id of the Parallel Calculation Item (PCI) you want to retrieve.

Bodyapplication/json
object(getParallelCalculationItemRequest)
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/PCI/{id}' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-5cf55f5475-fsn4h", "data": [], "status": 0 } }

Revoke a Model

Request

Revokes a model with a workflow so it can be deleted afterward. Only models with the workflow status = APPROVED or NO_APPROVAL_REQUIRED can be revoked. The revoke action will set the workflow status of a model to WITHDRAWN.
Once revoked, the model is back in an editable state and can be deleted by users having the right to do so.

Required roles:

  • PO_MCMO_MANAGER (Administrate Model Classes/Objects)
  • PO_MCMO (Manage Model Objects)
  • for models in Module Categories (see User Group Entitlements in Module Categories): MODULECATEGORY_MO_MANAGER (Manage Model in Module Category)
Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired

typedId of the model you want to revoke.

Bodyapplication/json
object
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/optimization.modelrevoke/{typedId}' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas